## akira 0.0.16

=== meson_options.txt ===
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default')

option('install-tests', type : 'boolean', value : 'false',
       description : 'install test executables')

## akira 0~20190724~88f9ac5

=== debian/changelog ===
akira (0~20190724~88f9ac5-1) experimental; urgency=medium

  [ upstream ]
  * New git snapshot.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Fix source URLs.
    + Extend upstream copyright and licensing.
  * Declare compliance with Debian Policy 4.4.0.
  * Update lintian overrides regarding license fields.
  * Build-depend on libarchive-dev libgoocanvas-2.0-dev.
  * Cherry-pick patch from upstream WIP branch to work with newer vala.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2019 16:29:46 -0300

akira (0~20181010~144fd19-1) experimental; urgency=low

  * Initial Release.
    Closes: Bug#919678.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Jan 2019 15:42:38 +0100

=== debian/control ===
Source: akira
Section: x11
Priority: optional
Maintainer: Debian Design Team <design-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper,
 libarchive-dev,
 libevdev-dev,
 libglib2.0-dev,
 libgoocanvas-2.0-dev,
 libgranite-dev,
 libgtk-3-dev,
 libgtksourceview-3.0-dev,
 libgudev-1.0-dev,
 libjson-glib-dev,
 libxml2-dev,
 meson,
 valac (>= 0.26),
Standards-Version: 4.4.0
Homepage: https://github.com/Alecaddd/akira
Vcs-Git: https://salsa.debian.org/design-team/akira.git
Vcs-Browser: https://salsa.debian.org/design-team/akira
Rules-Requires-Root: no

Package: akira
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: user experience design tool
 Akira is a Design application,
 focusing on offering a modern and fast approach to UI and UX Design,
 mainly targeting web designers and graphic designers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	mkdir -p debian/build
	cd debian/build && meson --prefix=/usr ../..

override_dh_auto_build:
	cd debian/build && ninja -v

override_dh_auto_test:
	cd debian/build && ninja test

override_dh_auto_install:
	cd debian/build && DESTDIR=${CURDIR}/debian/akira ninja install

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/Alecaddd/Akira/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## akira 0.0.13

=== debian/changelog ===
akira (0.0.13-3) unstable; urgency=medium

  * add patch 2001 to use icon theme elementary-xfce,
    thanks to François Téchené;
    depend on elementary-xfce-icon-theme
  * declare compliance with Debian Policy 4.5.1
  * update git-buildpage settings: add usage comment
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Dec 2020 18:24:32 +0100

akira (0.0.13-2) unstable; urgency=medium

  * relax to build-depend unversioned on valac
    (needed version satisfied even in oldstable)
  * fix set dh option --builddirectory
    (not override dh_auto_configure),
    to apply Debian-specific build options;
    closes: bug#971006, thanks to Helmut Grohne

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Sep 2020 12:28:10 +0200

akira (0.0.13-1) unstable; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * watch: track git tags (not commits)
  * simplify source script copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Sep 2020 12:33:37 +0200

akira (0~20200403~8a0f1c9-2) experimental; urgency=medium

  * drop needless build-dependencies
    on libevdev-dev libgtksourceview-3.0-dev libgudev-1.0-dev;
    closes: bug#955734, thanks to Pino Toscano

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Apr 2020 13:57:49 +0200

akira (0~20200403~8a0f1c9-1) experimental; urgency=medium

  [ upstream ]
  * new git snapshot

  [ Jonas Smedegaard ]
  * drop patch 1001 now fixed upstream
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * update upstream homepage and source URLs
  * copyright: extend coverage
  * tighten build-dependency on libgranite-dev
  * run tests in virtual X11,
    and tolerate failures when targeted experimental;
    build-depend on xauth xvfb

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Apr 2020 11:47:33 +0200

akira (0~20191012~cab952d-1) experimental; urgency=medium

  [ upstream ]
  * New git snapshot.

  [ Jonas Smedegaard ]
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Dec 2019 20:51:17 +0100

akira (0~20190929~7e9b94b-1) experimental; urgency=medium

  [ upstream ]
  * New git snapshot.

  [ Jonas Smedegaard ]
  * Update watch file: Use git mode. Rewrite usage comment.
  * Declare compliance with Debian Policy 4.4.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2019 11:18:52 +0200

=== debian/control ===
Source: akira
Section: x11
Priority: optional
Maintainer: Debian Design Team <design-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 libarchive-dev,
 libglib2.0-dev,
 libgoocanvas-2.0-dev,
 libgranite-dev (>= 5.3.0),
 libgtk-3-dev,
 libjson-glib-dev,
 libxml2-dev,
 meson,
 valac,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://github.com/akiraux/Akira
Vcs-Git: https://salsa.debian.org/design-team/akira.git
Vcs-Browser: https://salsa.debian.org/design-team/akira
Rules-Requires-Root: no

Package: akira
Architecture: any
Depends:
 elementary-xfce-icon-theme,
 ${misc:Depends},
 ${shlibs:Depends},
Description: user experience design tool
 Akira is a Design application,
 focusing on offering a modern and fast approach to UI and UX Design,
 mainly targeting web designers and graphic designers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# detect if build targets experimental suite (or is a draft)
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

%:
	dh $@ --builddirectory=debian/build

override_dh_auto_build:
	cd debian/build && ninja -v

override_dh_auto_test:
	cd debian/build && xvfb-run -a ninja test \
		$(if $(DEB_SUITE_EXP),|| true)

override_dh_auto_install:
	cd debian/build && DESTDIR=${CURDIR}/debian/akira ninja install

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan
# post-update: debian/rules get-source-map-footer

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/akiraux/Akira/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## akira 0.0.15

=== debian/changelog ===
akira (0.0.15-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jul 2021 16:07:25 +0200

akira (0.0.14-1~exp1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * unfuzz patch 2001
  * add patch 2002 to use goocanvas 2.0 (not goocanvas 3.0)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 May 2021 09:07:40 +0200

## akira 0.0.16

=== debian/changelog ===
akira (0.0.16-2build3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:17:09 +0200

akira (0.0.16-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:06:47 +1100

akira (0.0.16-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:47:27 +0000

akira (0.0.16-2) unstable; urgency=medium

  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * drop patch 2001 to use approximate theme;
    depend on elementary-icon-theme
    (not elementary-xfce-icon-theme)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Mar 2022 21:09:24 +0100

akira (0.0.16-1) unstable; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * tighten build-dependency on libgranite-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Aug 2021 19:51:22 +0200

=== debian/control ===
Source: akira
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Design Team <design-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 libarchive-dev,
 libglib2.0-dev,
 libgoocanvas-2.0-dev,
 libgranite-dev (>= 6.0.0),
 libgtk-3-dev,
 libjson-glib-dev,
 libxml2-dev,
 meson,
 valac,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://github.com/akiraux/Akira
Vcs-Git: https://salsa.debian.org/design-team/akira.git
Vcs-Browser: https://salsa.debian.org/design-team/akira
Rules-Requires-Root: no

Package: akira
Architecture: any
Depends:
 elementary-icon-theme,
 ${misc:Depends},
 ${shlibs:Depends},
Description: user experience design tool
 Akira is a Design application,
 focusing on offering a modern and fast approach to UI and UX Design,
 mainly targeting web designers and graphic designers.
